org.apache.storm.hdfs.spout

## Class SequenceFileReader.Offset

- java.lang.Object
- - org.apache.storm.hdfs.spout.SequenceFileReader.Offset

- Enclosing class:
    SequenceFileReader<KeyT extends org.apache.hadoop.io.Writable,ValueT extends org.apache.hadoop.io.Writable>

      public static class SequenceFileReader.Offset
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `currentRecord`
    `long` | `lastSyncPoint`
    `long` | `recordsSinceLastSync`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Offset(long lastSyncPoint, long recordsSinceLastSync, long currentRecord)`
    `Offset(long lastSyncPoint, long recordsSinceLastSync, long currentRecord, long currRecordEndOffset, long prevRecordEndOffset)`
    `Offset(String offset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SequenceFileReader.Offset` | `clone()`
    `int` | `compareTo(org.apache.storm.hdfs.spout.FileOffset o)`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `boolean` | `isNextOffset(org.apache.storm.hdfs.spout.FileOffset rhs)` tests if rhs == currOffset+1.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lastSyncPoint

          public long lastSyncPoint

    - #### recordsSinceLastSync

          public long recordsSinceLastSync

    - #### currentRecord

          public long currentRecord

  - ### Constructor Detail

    - #### Offset

          public Offset(long lastSyncPoint,
                        long recordsSinceLastSync,
                        long currentRecord)

    - #### Offset

          public Offset(long lastSyncPoint,
                        long recordsSinceLastSync,
                        long currentRecord,
                        long currRecordEndOffset,
                        long prevRecordEndOffset)

    - #### Offset

          public Offset(String offset)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isNextOffset

          public boolean isNextOffset(org.apache.storm.hdfs.spout.FileOffset rhs)

      tests if rhs == currOffset+1.

    - #### compareTo

          public int compareTo(org.apache.storm.hdfs.spout.FileOffset o)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### clone

          public SequenceFileReader.Offset clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.